package com.jeeplus.modules.sg.picking.activiti.entity;

import com.jeeplus.core.persistence.ActEntity;
import com.jeeplus.core.persistence.DataEntity;

import java.util.List;

/**
 *
 */
public class PickIng extends DataEntity<PickIng> {
    //大类信息
    private String mdBigClass;
    //中类信息
    private String mdTheClass;
    //小类信息
    private String mdSmallClass;
    //图片信息
    private String mdImg;
    //单位
    private String mdUnit;
    //版本
    private String version;
    //名称
    private List<String> mdSmallName;
    //类型
    private String type;

    @Override
    public String getId() {
        return super.getId();
    }

    public String getMdBigClass() {
        return mdBigClass;
    }

    public void setMdBigClass(String mdBigClass) {
        this.mdBigClass = mdBigClass;
    }

    public String getMdTheClass() {
        return mdTheClass;
    }

    public void setMdTheClass(String mdTheClass) {
        this.mdTheClass = mdTheClass;
    }

    public String getMdSmallClass() {
        return mdSmallClass;
    }

    public void setMdSmallClass(String mdSmallClass) {
        this.mdSmallClass = mdSmallClass;
    }

    public String getMdUnit() {
        return mdUnit;
    }

    public void setMdUnit(String mdUnit) {
        this.mdUnit = mdUnit;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getMdImg() {
        return mdImg;
    }

    public void setMdImg(String mdImg) {
        this.mdImg = mdImg;
    }

    public List<String> getMdSmallName() {
        return mdSmallName;
    }

    public void setMdSmallName(List<String> mdSmallName) {
        this.mdSmallName = mdSmallName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
